linphonec(1)

NAME

linphonec - Console interface of linphone, a SIP compatible internet phone.

SYNTAX

linphonec [-d] <debug_level> [-l] <debug_file> [-c] <config_file>
linphonec -v

DESCRIPTION

Linphonec is the console version of originally Gnome internet phone linphone (http://www.linphone.org) .
Linphonec can be started without arguments. It needs a config file to start correctly. First it looks at ~/.gnome2/linphone, and if the file does not exist, it reads ~/.linphonec .
Once linphonec has started, linphonec wait for some commands and is ready to receive calls. You can type ? to get help on the availlable commands.
The most important commands are

c <sip url> : to call someone. A sip url is in the form sip:user@host

t 	: to terminate a call

a	: to accept an incoming call.

In order to start linphonec for the first time, you will need a config file, usually ~/.linphonec . This config file will contains various information, but in order to start only the following section and field are required:
    [net]
    if_name=<my network interface name (ex: eth0, ppp0...)>

OPTIONS

-d <debug_level>
    Use debug mode with given verbosity (debug_level). The debug_level is an integer in the range 0..5 .

-h  Output help information and exit.

-l <log_file>
    Specifies a file where debug information will be written. Default is stdout.

-c <config_file>
    Specifies the config file to read at startup.

FILES

~/.linphonec

ENVIRONMENT VARIABLES

EXAMPLES

AUTHORS

Florian Winterstein <fwin at gmx.de>
Simon Morlat <simon.morlat at linphone.org>

SEE ALSO

linphone(1) sipomatic(1)